Page MenuHomePhabricator

[AMDGPU][MC][GFX9] Added s_call_b64
ClosedPublic

Authored by dp on Apr 4 2018, 10:30 AM.

Details

Summary

See bug 36843: https://bugs.llvm.org/show_bug.cgi?id=36843

I had to correct a lit test data.s because seemingly unused combination of bits

.long 0xbadc0de1

turned out to be a valid gfx9 instruction:

s_call_b64 s[92:93], 0xde1

Isn't it curious?

Diff Detail

Repository
rL LLVM

Event Timeline

dp created this revision.Apr 4 2018, 10:30 AM
This revision is now accepted and ready to land.Apr 5 2018, 8:53 AM
Closed by commit rL329440: [AMDGPU][MC][GFX9] Added s_call_b64 (authored by dpreobra, committed by ). · Explain WhyApr 6 2018, 11:27 AM
This revision was automatically updated to reflect the committed changes.